<?php
include("functions.php");
include("ip_handler.php");

function ban($json, $player){
	echo banPlayer($json, $player);
}

function unban($json, $player){
	echo unbanPlayer($json, $player);
}

function give($json, $player, $item, $amount){
	runCommand($json, "give $player $item $amount");
}

function mute($json, $player){
	runCommand($json, "mute $player");
	echo "player '$player' has been muted";
}

function unmute($json, $player){
	runCommand($json, "unmute $player");
	echo "player '$player' has been unmuted";
}

function clearInventory($json, $player){
	runCommand($json, "clear -a $player");
	echo "player '$player' has been cleared";
}

function kick($json, $player){
	runCommand($json, "kick $player");
	echo "player '$player' has been kicked";
}

function op($json, $player){
	runCommand($json, "op $player");
	echo "player '$player' has been opped";
}

function deop($json, $player){
	runCommand($json, "deop $player");
	echo "player '$player' has been deopped";
}

function PM($json, $player, $message){
	runCommand($json, "tell $player $message");
	echo "told $player : $message";
}

function BM($json, $player, $message){
	broadcast($json, $message, $player);
	echo $player.": ".$message;
}

$operation = $_GET["operation"];
$player = $_GET["user"];
$message = $_GET["msg"];
$item = $_GET["item"];
$amount = $_GET["amount"];

if($operation=="kick"){
	kick($json, $player);
}

elseif($operation=="ban"){
	ban($json, $player);
}

elseif($operation=="unban"){
	unban($json, $player);
}

elseif($operation=="op"){
	op($json, $player);
}

elseif($operation=="deop"){
	deop($json, $player);
}

elseif($operation=="RFW"){

}

elseif($operation=="PM"){
	PM($json, $player, $message);
}

elseif($operation=="BM"){
	BM($json, $player, $message);
}

elseif($operation=="mute"){
	mute($json, $player);
}

elseif($operation=="unmute"){
	unmute($json, $player);
}

elseif($operation=="give"){
	give($json, $player, $item, $amount);
}

elseif($operation=="clear"){
	clearInventory($json, $player);
}

else{
	echo "not a valid operation";
}
?>
<META HTTP-EQUIV="refresh" CONTENT="2;URL=player.php?user=<?php echo $player; ?>">